Skip to main content
GET
/
api
/
v1
/
learning
/
status
Get Intuition Status
curl --request GET \
  --url https://alfred.black/api/v1/learning/status \
  --header 'Authorization: Bearer <token>'
{
  "enabled": true,
  "processedToday": 12,
  "observations": {
    "total": 45,
    "unprocessed": 3,
    "processed": 40,
    "invalid": 2
  },
  "instincts": {
    "total": 8,
    "active": 6,
    "proposed": 1,
    "deprecated": 1,
    "merged": 0
  },
  "instinctCount": 6,
  "autoRouteRate": 34,
  "queueSize": 3,
  "recentActivity": [],
  "lastDigest": {
    "timestamp": "2026-03-04T18:00:00Z",
    "path": "event/2026/03/daily-digest-2026-03-04.md",
    "summary": "Processed 12 events today"
  },
  "reflections": {
    "total": 14
  },
  "streams": {
    "processed": 247
  }
}

Authorizations

Authorization
string
header
required

API key in the format alf_<32 hex chars>. Pass in the Authorization header as Bearer alf_....

Response

Intuition status returned

enabled
boolean

Whether the intuition system is currently enabled

processedToday
integer

Number of events processed today

observations
object
instincts
object
instinctCount
integer

Number of active instincts

autoRouteRate
integer

Percentage of inputs auto-routed by instincts

queueSize
integer

Number of inputs awaiting human judgment

recentActivity
object[]

Recent intuition system activity entries

lastDigest
object
reflections
object
streams
object